using SolarPower.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace SolarPower.Repository.Interface
{
    public interface IElectricitySoldRecordRepository: IRepositoryBase<ElectricitySoldRecord>
    {
        Task<List<ElectricitySoldRecordTable>> RecordTable(ElectricitySoldRecordTablePost post);
        Task<BillInfo> GetBill(int id);
        Task<List<Generation>> GetGenerationList(SearchGeneration info);
    }

}
